<div class="form-row" *ngIf="!disabled">
  <div class="form-group form-group-sm row col-24" *ngIf="option.inputFileControl?.isEnabled">
    <label class="col-form-label col-24" [ngClass]="{ 'col-lg-6': option.inputFileControl.inputFileField?.isShown }">{{ option.inputFileControl.inputFileField?.label }}</label>
    <div class="col-24 col-lg-18 pl-0 pl-lg-1" [ngClass]="{ 'col-lg-18' : option.inputFileControl.inputFileField?.isShown }">
      <div class="custom-file">
        <app-input-file-template (result)="onFileLoad($event)"></app-input-file-template>
        <label class="custom-file-label">{{ filename  || "Choose File" }}</label>
      </div>
    </div>
  </div>
</div>
<div class="mb-1">
  <dx-data-grid #docGrid id="docGrid" [dataSource]="docList" keyExpr="docId"
                [showBorders]="true" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [columnAutoWidth]="true"
                (onRowRemoved)="onRowRemoved($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-editing mode="cell" [allowDeleting]="true" [allowUpdating]="true" [useIcons]="true"></dxo-editing>
    <dxo-paging [pageSize]="10"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxi-column *ngIf="!disabled" type="buttons" [buttons]="['delete']" caption="Delete"></dxi-column>
    <dxi-column type="buttons" caption="View" cellTemplate="viewButton"></dxi-column>
    <dxi-column dataField="fileNme" caption="{{ option.grid.column.fileName.caption }}" [allowEditing]="false" dataType="string"></dxi-column>
    <dxi-column dataField="fileSizeQtyStr" caption="Size" [allowEditing]="false" alignment="left"></dxi-column>
    <dxi-column dataField="creatByUserAdId" caption="Attached By" [allowEditing]="false" dataType="string"></dxi-column>
    <dxi-column dataField="creatDt" caption="{{ option.grid.column.date?.caption ? option.grid.column.date?.caption : 'Date' }}" dataType="string"
                cellTemplate="localStartTime" [allowEditing]="false"></dxi-column>
    <dxi-column dataField="cmntTxt" caption="Comments" dataType="string"
                [allowEditing]="isCommentShown" [visible]="isCommentShown"></dxi-column>
    <div *dxTemplate="let cell of 'localStartTime'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
    <div *dxTemplate="let cell of 'fileSizeTemplate'">
      {{ option.grid.column.fileSize.byte ? cell.text : formatFileSize(cell.text) }}
    </div>
    <div *dxTemplate="let data of 'viewButton'">
      <a class="dx-link dx-icon-download dx-link-icon" title="View" (click)="download(data)"></a>
    </div>
  </dx-data-grid>
</div>
